### Method

# GdkWayland WaylandDisplay query_registry

#### Declaration [src]

    gboolean
    gdk_wayland_display_query_registry (
      GdkDisplay* display,
      const char* global
    )

#### Description [src]

Returns `TRUE` if the the interface was found in the display `wl_registry.global` handler.

#### Parameters

`global` | `const char*`
| Global interface to query in the registry.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the global is offered by the compositor.